Change log for brial package in Ubuntu

118 of 18 results
Published in groovy-release on 2020-04-28
Deleted in groovy-proposed (Reason: moved to Release)
brial (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Mark libbrial-groebner-dev M-A: same following hinter.
  * Drop patch (upstreamed).
  * Mark libbrial-dev M-A: same as lintian complains the
    libbrial-groebner-dev package depends on non-M-A package.
  * Drop DEB_LDFLAGS_MAINT_APPEND: it's not needed anymore,
    as it sets a linking flag to its default!

 -- Julien Puydt <email address hidden>  Tue, 28 Apr 2020 06:44:57 +0200
Superseded in groovy-release on 2020-04-28
Published in focal-release on 2020-02-13
Deleted in focal-proposed (Reason: moved to Release)
brial (1.2.7-1build1) focal; urgency=medium

  * No change rebuild against new libm4ri ABI

 -- Dimitri John Ledkov <email address hidden>  Mon, 10 Feb 2020 18:48:33 +0000
Superseded in focal-release on 2020-02-13
Deleted in focal-proposed on 2020-02-14 (Reason: moved to Release)
brial (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop tighter_config_h.patch: upstream.
  * Drop python3_warning.patch: upstream.
  * Forward 0003-Protect-CErrorInfo-from-invalid-array-access.patch to
    upstream.
  * Limit autopkgtest to default Python3 (sagemath doesn't do 3.8).
  * Disable building the static lib.
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <email address hidden>  Sun, 26 Jan 2020 20:51:13 +0100

Available diffs

Superseded in focal-release on 2020-01-27
Deleted in focal-proposed on 2020-01-28 (Reason: moved to Release)
brial (1.2.6-2) unstable; urgency=medium

  * Better patch for tighter config.h.in.
  * Add a patch to fix a Python3 warning.

 -- Julien Puydt <email address hidden>  Tue, 14 Jan 2020 08:22:11 +0100

Available diffs

Superseded in focal-release on 2020-01-14
Deleted in focal-proposed on 2020-01-15 (Reason: moved to Release)
brial (1.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop the Python 2 package (Closes: #936238).
  * Make the autopkgtest depend on sagemath (Closes: #896218).
  * Add a patch for a tighter config.h.in (makes lintian happier).
  * Enable hardening flags.

 -- Julien Puydt <email address hidden>  Sat, 11 Jan 2020 14:01:01 +0100

Available diffs

Superseded in focal-release on 2020-01-12
Deleted in focal-proposed on 2020-01-13 (Reason: moved to Release)
brial (1.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936238

 -- Sandro Tosi <email address hidden>  Fri, 10 Jan 2020 14:06:12 -0500

Available diffs

Superseded in focal-release on 2020-01-11
Deleted in focal-proposed on 2020-01-12 (Reason: moved to Release)
brial (1.2.5-2) unstable; urgency=medium

  * Rebuild with gcc-9 (required to fix segfaults in sagemath).
  * Bump std-ver to 4.4.1.

 -- Tobias Hansen <email address hidden>  Sun, 10 Nov 2019 21:15:02 +0100
Superseded in focal-release on 2019-11-11
Deleted in focal-proposed on 2019-11-12 (Reason: moved to Release)
brial (1.2.5-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <email address hidden>  Fri, 18 Oct 2019 18:06:38 +0000
Superseded in focal-release on 2019-10-19
Published in eoan-release on 2019-09-04
Deleted in eoan-proposed (Reason: moved to release)
brial (1.2.5-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Bump dh compat to 12 and drop d/compat.
  * Bump std-ver to 4.4.0.

 -- Tobias Hansen <email address hidden>  Sun, 01 Sep 2019 12:11:05 +0200

Available diffs

Superseded in eoan-release on 2019-09-04
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-07-14 (Reason: moved to release)
brial (1.2.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <email address hidden>  Sat, 20 Oct 2018 11:19:27 +0200

Available diffs

Superseded in disco-release on 2018-11-01
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-12-31
Deleted in bionic-proposed (Reason: moved to release)
brial (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <email address hidden>  Sat, 30 Dec 2017 10:05:46 +0100

Available diffs

Superseded in bionic-release on 2017-12-31
Deleted in bionic-proposed on 2018-01-31 (Reason: moved to release)
brial (0.8.7-3) unstable; urgency=medium

  * Change Build-Depends: libgd2-xpm-dev to libgd-dev. (Closes: #880723)

 -- Tobias Hansen <email address hidden>  Sat, 09 Dec 2017 11:02:51 +0100

Available diffs

Superseded in bionic-proposed on 2017-12-09
brial (0.8.7-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Tobias Hansen ]
  * Add Breaks: sagemath (<< 8.0~) to prevent testing migration
    before sagemath 8.0.

 -- Ximin Luo <email address hidden>  Sun, 27 Aug 2017 14:52:58 +0200
Superseded in bionic-release on 2017-12-09
Obsolete in artful-release on 2020-07-10
Deleted in artful-proposed on 2020-07-10 (Reason: moved to release)
brial (0.8.7-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches:
    - fix-testsuite.patch (SConstruct file was deleted upstream.)
    - fix_ftbfs_gcc-6.patch (applied upstream)

 -- Tobias Hansen <email address hidden>  Wed, 10 May 2017 00:55:03 +0100

Available diffs

Superseded in artful-release on 2017-08-22
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
brial (0.8.5-4) unstable; urgency=medium

  * Add fix_ftbfs_gcc-6.patch:
    Upstream patch to fix FTBFS with gcc 6.
  * Remove -std=c++98 flag, obsolete with new patch.
  * Change fix-testsuite.patch: Do not set CXXFLAGS=-std=c++98.
  * Disable the test suite (it is not supported by upstream and
    modifies files that are going to be installed).
  * Add Breaks: sagemath (<= 7.4-4) to ensure brial and a rebuilt
    sagemath migrate to testing together.

 -- Tobias Hansen <email address hidden>  Sat, 07 Jan 2017 10:18:15 +0100

Available diffs

Superseded in zesty-release on 2017-01-08
Deleted in zesty-proposed on 2017-01-10 (Reason: moved to release)
brial (0.8.5-3) unstable; urgency=medium

  * Add Breaks and Replaces to old polybori for the dev packages.
    (Closes: #843354)

 -- Tobias Hansen <email address hidden>  Mon, 07 Nov 2016 11:57:21 +0000

Available diffs

Superseded in zesty-proposed on 2016-11-07
brial (0.8.5-2) unstable; urgency=medium

  * Add testsuite-boost-1.62.patch:
    boost::hash_combine() changed, so we need new hashes for
    the testsuite. (Closes: #843083)

 -- Tobias Hansen <email address hidden>  Fri, 04 Nov 2016 15:56:11 +0000

Available diffs

Superseded in zesty-proposed on 2016-11-04
brial (0.8.5-1) unstable; urgency=medium

  [ Ximin Luo ]
  * New upstream release. (Closes: #798145)

  [ Tobias Hansen ]
  * Rename source package to brial.
  * Rename binary packages polybori -> brial.
  * Create transitional dummy package python-polybori.
  * Remove packages polybori, polybori-doc and polybori-gui.
  * Build-depend on libpng-dev.
  * Build with -std=c++98 to work around upstream issue 11.
  * Move testsuite fixes into a single patch fix-testsuite.patch:
    - 0001-Added-libraries-symlinks-to-testsuite-dependencies-t.patch	
    - fix-ftbfs-boost.1.60.patch
  * Remove 0002-Generate-clean-.pc-files-from-upstream.patch,
    no pkg-config files needed.
  * Remove Alexander Dreyer and Felix Salfelder from uploaders.
  * Bump standards version to 3.9.8.

 -- Tobias Hansen <email address hidden>  Sun, 09 Oct 2016 12:12:00 +0000
118 of 18 results